<nav class="navbar fixed-top navbar-dark bg-dark navbar-expand-md">
    <div class="container">
        <button type="button" class="navbar-toggler collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
          <span class="sr-only">Toggle navigation</span>
          &#x2630;
        </button>

        <span class="navbar-brand">Instagram</span>

        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li class="nav-item"><a href="/" class="nav-link">Лента</a>
                </li>
                <% if current_user %>
                <li class="nav-item"><%= link_to 'Мой профиль', users_show_path(current_user.id), class: 'nav-link' %>
                </li>
                <% end %>
            </ul>
            <div class="navbar-nav ml-auto">
              <% if user_signed_in? %>

              <div class="nav-item">
                <span class="navbar-text">
                  Hello,&nbsp;
                <span>
              </div>

              <div class="dropdown show">
                <%= link_to current_user.name, edit_user_registration_path(current_user), class: 'btn btn-secondary dropdown-toggle', 'role' => "button", 'id' => "dropdownMenuLink", 'data-toggle' => "dropdown", 'aria-haspopup' => "true", 'aria-expanded' => "false" %>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                  <%= link_to 'Edit profile', edit_user_registration_path(current_user), class: 'dropdown-item' %>
                  <%= link_to 'Sign out', destroy_user_session_path, method: :delete, class: 'dropdown-item' %>
                </div>
              <div>

              <% else %>
                  <div class="nav-item">
                     <%= link_to 'Sign up', new_user_registration_path, class: 'nav-link' %>
                  </div>
                  <div class="nav-item">
                     <%= link_to 'Log in', new_user_session_path, class: 'nav-link' %>
                  </div>
              <% end %>
            </div>
        </div>
    </div>
</nav>
